Enrich Account with People Job
Start an async job to discover people at a company using Seniority & Department Filters.
This typically takes 1-5 seconds.
Flow:
- Call this endpoint with
account_id+ filters -> receivejob_id - Poll
GET /api/v1/enrich/fast-people-enrichment/{job_id}every 2-3 seconds - When
statusis"completed", theresultfield contains discovered people ids - Use the Get People Endpoint
/api/v1/people/batchto get the people details
People locations:
- Optional list of 2-letter country codes (e.g.
["us", "uk", "eu"]) - Available country codes can be fetched from
GET /api/v1/icp/options
Credit costs:
- Credits charged per new person stored
- Optionally limit spend with
max_credit_limit
Example request:
{
"account_id": 12345,
"seniority_filters": ["VP", "DIRECTOR"],
"department_filters": ["ENGINEERING", "PRODUCT"]
}
Error codes:
INVALID_REQUEST(400) - Empty filters or credits exceededACCOUNT_NOT_FOUND(404) - Account ID not foundCREDITS_EXCEEDED(400) - Monthly credit limit reached
Documentation Index
Fetch the complete documentation index at: https://docs.openfunnel.dev/llms.txt
Use this file to discover all available pages before exploring further.
Body
account ID to discover people for
Seniority levels to filter by (e.g., ['VP', 'DIRECTOR', 'HEAD'])
1Job seniority levels for people discovery filtering.
FOUNDER, CXO, PARTNER, VP, HEAD, DIRECTOR, MANAGER, SENIOR, ENTRY, INTERN Departments to filter by (e.g., ['ENGINEERING', 'PRODUCT', 'SALES'])
1Job department/function categories for people discovery filtering.
ENGINEERING, PRODUCT, DATA, SALES, MARKETING, OPERATIONS, FINANCE, HR, LEGAL, EXECUTIVE, CUSTOMER_SUCCESS, SECURITY, IT, OTHER Optional audience name. If provided, discovered people are added to this audience.
Maximum number of credits to spend. If omitted, uses your account default.
x >= 1List of 2-letter country codes to filter people by location (e.g., ['us', 'uk', 'eu'])
Response
Successful Response
Response from starting a fast people discovery job.
Returns immediately with a job_id. Poll GET /api/v1/enrich/fast-people-enrichment/{job_id}
for progress and results.
Unique job ID for polling via GET /api/v1/enrich/fast-people-enrichment/{job_id}
Human-readable status message
Account ID being searched
Job status - always 'pending' at creation
Audience URL if audience_name was provided